{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "pattern": [
    "###",
    "XXX",
    "###"
  ],
  "key": {
    "#": "exotelcraft:alpha_wooden_planks",
    "X": "exotelcraft:alpha_book"
  },
  "result": {
    "id": "exotelcraft:alpha_bookshelf"
  }
}